BaseObserver(3)

NAME
BaseObserver - Observer Design Pattern, Observer part.

SYNOPSIS

Inherited by Observer< T >.

  Public Member Functions
virtual void notify (unsigned int flags)

Detailed Description

Observer Design Pattern, Observer part. This class is used as a non-template base class for the templatized Observer one. It is used to avoid propagating template to the whole Observable class. It only contains the Observer::notify() virtual method.

Member Function Documentation

  void notify (unsigned int flags) [virtual]
The method which will be called whenever a change occurs on the Observable.

Referenced by Observable::notify().

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.